org.apache.flume.source

## Class SyslogUDPSource.syslogHandler

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelHandler
  - - org.apache.flume.source.SyslogUDPSource.syslogHandler

- All Implemented Interfaces:
    org.jboss.netty.channel.ChannelDownstreamHandler, org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler
  Enclosing class:
    SyslogUDPSource

      public class SyslogUDPSource.syslogHandler
      extends org.jboss.netty.channel.SimpleChannelHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `org.jboss.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyslogUDPSource.syslogHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `messageReceived(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.MessageEvent mEvent)`
    `void` | `setFormater(Map<String,String> prop)`
    `void` | `setKeepFields(Set<String> keepFields)`

    - ### Methods inherited from class org.jboss.netty.channel.SimpleChannelHandler

      `bindRequested, channelBound, channelClosed, channelConnected, channelDisconnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, closeRequested, connectRequested, disconnectRequested, exceptionCaught, handleDownstream, handleUpstream, setInterestOpsRequested, unbindRequested, writeComplete, writeRequested`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SyslogUDPSource.syslogHandler

          public SyslogUDPSource.syslogHandler()

  - ### Method Detail

    - #### setFormater

          public void setFormater(Map<String,String> prop)

    - #### setKeepFields

          public void setKeepFields(Set<String> keepFields)

    - #### messageReceived

          public void messageReceived(org.jboss.netty.channel.ChannelHandlerContext ctx,
                             org.jboss.netty.channel.MessageEvent mEvent)

      Overrides:
        `messageReceived` in class `org.jboss.netty.channel.SimpleChannelHandler`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.